Faveo Helpdesk Community
========
<br><img src="https://travis-ci.org/ladybirdweb/faveo-helpdesk.svg?branch=master">&nbsp;<img src="https://img.shields.io/badge/License-OSL-blue.svg">&nbsp;<a href="https://gitter.im/ladybirdweb/faveo-helpdesk" target="_blank"><img src="https://badges.gitter.im/ladybirdweb/faveo-helpdesk.svg"></a>&nbsp;<a href="https://styleci.io/repos/34716238"><img src="https://styleci.io/repos/34716238/shield" alt="StyleCI" height="19px"></a>&nbsp;<a href="http://squizlabs.github.io/PHP_CodeSniffer/analysis/ladybirdweb/faveo-helpdesk/index.html" target="_blank"><img src="http://squizlabs.github.io/PHP_CodeSniffer/analysis/ladybirdweb/faveo-helpdesk/grade.svg" height="20px"></a>&nbsp;<a href="https://scrutinizer-ci.com/g/ladybirdweb/faveo-helpdesk/?branch=master" target="_blank"><img src="https://scrutinizer-ci.com/g/mverma16/faveo-helpdesk/badges/quality-score.png?b=master" height="20px"></a></br>

Faveo Helpdesk provides Businesses with an automated Helpdesk system to manage customer support. 

The word Faveo comes from Latin which means to be favourable. Which truly highlights vision and the scope as well as the functionality of the product that Faveo is. In today’s competitive startup scenario customer retention is one of the major challenges. Handling client query diligently is all the difference between retaining or losing a long lasting relationship. The company is driven with passion of providing tools for managing consumer queries for strategic insights and helping companies take those decisive decisions.

Faveo has been integrated with multiple platforms and new features being added each month.

Faveo can be customised according to requirement and we do undertake such request. 

Flavors of Faveo
--------------------------
  * Faveo Community Edition – Free, Open source edition
  * Faveo Pro Edition – Paid version with many advance features and integrations
  * Faveo Service Desk - Paid version for IT Assest management

Faveo Documentation
--------------------------
  * <a href="http://www.ladybirdweb.com/support/knowledgebase" target="_blank">Faveo user Manual</a>
  * <a href="https://docs.google.com/document/d/1TEUVyFSzlNRIQGHVK88rzBtYbhyk2FNb3TeekjfsXQA/" target="_blank">Faveo API Documentation</a>
  * <a href="https://docs.google.com/document/d/1pXpsQKcTyX5x6H4xA8unYxd5Duw2k94xt7wevTdoF_E/" target="_blank">Faveo Event List</a>
  * <a href="https://docs.google.com/document/d/1PGcpB19Vr42rM_DrCzC3snujzEL8N9Ocy0yewfPNWqU/" target="_blank">Faveo Plugin creation guide</a>

Requirements
--------------------------
To run Faveo your host just needs a couple of things:

  * Web Server: Apache or IIS or Nginx
  * PHP Version: 5.5+ (5.6 recommended)
  * PHP Extensions: Mcrypt, OpenSSL, Mbstring, Imap, Tokenizer
  * Database: MySQL(5.0+) or Postgres or SQLite or SQL Server
  * Web Server Extension: Pretty URLs or Search Engine Friendly URL's have to be enabled in your web server configuration

Faveo Web Hosting
--------------------------
<a href="http://www.store.ladybirdwebhost.com/" target="_blank">Ladybird Web Host</a> Offers hosting with minimum requirement to host Faveo web application. Faveo has been tested on Ladybird Web Host servers &amp; works very well in their server environment. All web hosting packages offered by Ladybird Web Host come with 30 day money back gurantee.</p>

Credits
--------------------------
  * Laravel Framework
  * Admin LTE Theme

Website
--------------------------
Visit our website for more information on services offered by us <a href="http://www.faveohelpdesk.com/" target="_blank">www.faveohelpdesk.com</a>

YouTube Channel
--------------------------
Find demo, installation, configuration, tutorial videos on our channel <a href="https://www.youtube.com/channel/UC-eqh-h241b1janp6sU7Iiw" target="_blank">here</a>

Road Map for Community Edition
--------------------------
See what all features are going to be part of upcoming releases <a href="http://www.faveohelpdesk.com/faveo-helpdesk-road-map" target="_blank">here</a>

Faveo Probe
--------------------------
Helps verify whether your server can run Faveo or not. 
<a href="https://github.com/ladybirdweb/faveo-probe" target="_blank">Download here</a>

Faveo Community
--------------------------
Join Faveo discussion group and stay tuned to latest updates. 
<a href="https://www.linkedin.com/groups/8429668" target="_blank">Join here</a>

Support the community edition
--------------------------
If you are using our product and want to support us <a href="https://github.com/ladybirdweb/faveo-helpdesk/wiki/Support-the-community-edition" target="_blank">Click here</a>

Language translate
--------------------------
Help us translate Faveo into your native language <a href="https://github.com/ladybirdweb/faveo-helpdesk/wiki/Help-in-language-translate" target="_blank">Click here</a><br/>
We are following Laravel <a href="https://laravel.com/docs/5.2/localization">localization</a> module, you can create language file in your branch and send a pull request.

Contributing
--------------------------
Create your own fork of Faveo master repositoray and use <a href="https://github.com/nvie/gitflow">git-flow</a> to create a new feature. Once the feature is published in your fork, send a pull request to begin the conversation of integrating your new feature into Faveo.

Help
--------------------------
Visit the <a href="https://github.com/ladybirdweb/faveo-helpdesk/issues">issue</a> page. And if you'd like professional help commercial support is available, email us through the <a href="http://www.faveohelpdesk.com/contact-us/">contact form</a>.

Download Faveo mobile apps
--------------------------

<a href='https://play.google.com/store/apps/details?id=co.helpdesk.faveo&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1' target="_blank"><img alt='Get it on Google Play' src='http://www.faveohelpdesk.com/wp-content/uploads/2016/12/google-1.png'  width="200px"/></a> <a href="https://appsto.re/in/cTjQgb.i" target="_blank"><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/apple.png"  width="200px"/></a>


Follow Us
--------------------------
<a href="https://www.facebook.com/faveohelpdesk" ><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/fb.png" /></a> <a href="https://twitter.com/faveohelpdesk" ><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/twitter.png" /></a> <a href="https://www.linkedin.com/company/627599" ><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/linkedin.png" /></a> <a href="https://www.youtube.com/channel/UC-eqh-h241b1janp6sU7Iiw" ><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/youtube.png" /></a> <a href="https://plus.google.com/117596052965493985407" ><img src="http://www.faveohelpdesk.com/wp-content/uploads/2016/12/google.png" /></a>
